Get Protected Database Restore Information
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/protectedDatabases/{protectedDatabaseUniqueName}/restoreInfo
Get restore information for a protected database on a Recovery Appliance.
Request
Path Parameters
-
protectedDatabaseUniqueName(required): string
Protected database unique name.Example:
PROTDB1 -
raTargetId(required): string
Recovery Appliance Target id.Example:
F76BBCCBD8A0D4719A8AA588375FA8BE
Header Parameters
-
ORCL-EM-ZDLRATARGET-AUTHORIZATION(required): string
Recovery Appliance Administrator Credentials. The format must be NAMED:
(e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials. Example:NAMED:ORSADMIN
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful Operation
Root Schema : ProtectedDatabaseRestoreInfo
Type:
objectCollection of protected database restore information.
Show Source
-
items(required): array
items
List of protected database restore information objects.
Match All
Collection of protected database restore information.
Show Source
-
object
CommonProperties
Collection of summary objects.
Nested Schema : items
Type:
arrayList of protected database restore information objects.
Show Source
-
Array of:
object RestoreInfoSummary
Restore information of a protected database.
Nested Schema : CommonProperties
Type:
objectCollection of summary objects.
Show Source
-
count(required): integer
Count of summary objects in this page.Example:
1 -
links(required): object
links
Navigation links.
-
nextPage: string
For pagination of a list of items. When paging through a list, if this value appears in the response, then there are additional items still to get. Include this value as the page parameter for the subsequent "List" request.
Nested Schema : RestoreInfoSummary
Type:
objectRestore information of a protected database.
Show Source
-
highTime: string
High time of the restore range. Format will be YYYY-MM-DDTHH:mm:ssZ in UTC timezone.
-
lowTime: string
Low time of the restore range. Format will be YYYY-MM-DDTHH:mm:ssZ in UTC timezone.
-
protectedDatabaseName: string
Protected database unique name.
-
protectedDatabaseTimeZone: string
Protected database time zone.
-
restorePointNames: array
restorePointNames
Restore point names.
-
restorePointScns: array
restorePointScns
Restore SCNs.
Nested Schema : links
Type:
objectNavigation links.
Show Source
-
next: object
Link
It represents a Link
-
self: object
Link
It represents a Link
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message